unit InitFns;

interface

uses
  Classes, dbtables, Registry, SysUtils;

procedure GetValidBatchStatusEntries(Sender: TComponent);

implementation

uses
  DataMod, Main;


procedure GetValidBatchStatusEntries(Sender: TComponent);
var
  qryStringList : TStringList;
  qry : TQuery;
begin
  qry := TQuery.Create(Sender);
  qry.DatabaseName := 'dbPPdata';
  qryStringList := TStringList.Create;
  qryStringList.Add('SELECT id FROM tBatchStatus');
  qryStringList.Add('WHERE Description LIKE ''Init%''');
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_INIT := 0 else begin
    MainForm.BATCH_STATUS_INIT := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Import%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_IMPORT := 0 else begin
    MainForm.BATCH_STATUS_IMPORT := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Critical Error%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_CERRS := 0 else begin
    MainForm.BATCH_STATUS_CERRS := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Critical Check%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_CPASS := 0 else begin
    MainForm.BATCH_STATUS_CPASS := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Transactions %''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_TRANSNS := 0 else begin
    MainForm.BATCH_STATUS_TRANSNS := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Review Admin%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_ADMINRVW := 0 else begin
    MainForm.BATCH_STATUS_ADMINRVW := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Admin%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_ADMINOK := 0 else begin
    MainForm.BATCH_STATUS_ADMINOK := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Expenditure Rel%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_PAYEXP := 0 else begin
    MainForm.BATCH_STATUS_PAYEXP := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Dubious Check''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_DCHECK := 0 else begin
    MainForm.BATCH_STATUS_DCHECK := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Dubious Check Comp%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_DCHECKOK := 0 else begin
    MainForm.BATCH_STATUS_DCHECKOK := qry.FieldByName('id').AsInteger;
  end;
  qryStringList.Strings[1] := 'WHERE Description LIKE ''Revenue Rel%''';
  qry.Close;
  qry.SQL := qryStringList;
  qry.Open;
  if qry.Eof and qry.Bof then MainForm.BATCH_STATUS_RELEASED := 0 else begin
    MainForm.BATCH_STATUS_RELEASED := qry.FieldByName('id').AsInteger;
  end;
end;    // procedure GetValidBatchStatusEntries().

end.
 